View Issue Details

IDProjectCategoryView StatusLast Update
0008287Talerlibeufin (general)public2024-02-10 23:31
ReporterAntoine A Assigned ToAntoine A  
PriorityurgentSeveritymajorReproducibilityN/A
Status resolvedResolutionreopened 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008287: Correction to the way we manage payto uris
DescriptionIn `libeufin`, all iban payto uris have their IBAN normalized (capitals without separator).
In `libeufin-bank`, we use payto uris to identify accounts, to do this we have removed all the parameters from the URI query to get a canonical payto IBAN. But the "receiver-name" parameter is actually needed for other Taler components. For cashout payto that are shared with `libeufin-nexus`, we use a "full" IBAN uri, which is a canonical form with an "receiver-name" parameter.
The receiver-name parameter is different from the legal name of the account.

We must continue to identify accounts using payto uris and support several types of them (IBAN and x-taler-bank) while storing the receiver-name parameter.
TagsNo tags attached.

Relationships

related to 0007304 acknowledged should we normalize payto://-URIs in the exchange before hashing? 
child of 0008273 assignedChristian Grothoff package and upload libeufin 0.9.4 to ftp and stable Debian/Ubuntu server 

Activities

Antoine A

2024-02-02 21:23

developer   ~0021132

I need to update the regional deployment script to set the payment method to x-taler-bank

Christian Grothoff

2024-02-10 00:07

manager   ~0021234

You might also find TALER_payto_normalize() in the exchange.git (src/util/payto.c) informative ;-).

Issue History

Date Modified Username Field Change
2024-01-30 14:03 Antoine A New Issue
2024-01-30 14:03 Antoine A Status new => assigned
2024-01-30 14:03 Antoine A Assigned To => Antoine A
2024-01-30 14:03 Antoine A Description Updated
2024-01-30 14:07 Antoine A Relationship added related to 0007304
2024-02-02 21:17 Antoine A Status assigned => resolved
2024-02-02 21:17 Antoine A Resolution open => fixed
2024-02-02 21:23 Antoine A Status resolved => feedback
2024-02-02 21:23 Antoine A Resolution fixed => reopened
2024-02-02 21:23 Antoine A Note Added: 0021132
2024-02-05 20:31 Christian Grothoff Relationship added child of 0008273
2024-02-10 00:07 Christian Grothoff Note Added: 0021234
2024-02-10 03:21 Antoine A Status feedback => resolved
2024-02-10 23:31 Christian Grothoff Fixed in Version => 0.9.4